# PhasicFlow: sphere Class Reference

sphere Class Reference
Collaboration diagram for sphere:
[legend]

## Public Member Functions

| TypeInfoNV ("sphere")
FUNCTION_H | sphere (const realx3 &center, const real radius)
FUNCTION_H | sphere (const dictionary &dict)
FUNCTION_H | sphere (iIstream &is)
FUNCTION_HD | sphere (const sphere &)=default
FUNCTION_HD | sphere (sphere &&)=default
FUNCTION_HD sphere & | operator= (const sphere &)=default
FUNCTION_HD sphere & | operator= (sphere &&)=default
| ~sphere ()=default
INLINE_FUNCTION_HD bool | isInside (const realx3 &point) const
const INLINE_FUNCTION_HD realx3 & | center () const
INLINE_FUNCTION_HD realx3 | minPoint () const
INLINE_FUNCTION_HD realx3 | maxPoint () const
INLINE_FUNCTION_HD real | radius () const
FUNCTION_H bool | read (iIstream &is)
FUNCTION_H bool | write (iOstream &os) const
FUNCTION_H bool | read (const dictionary &dict)
FUNCTION_H bool | write (dictionary &dict) const

## Protected Attributes

realx3 | center_
real | radius2_

## Detailed Description

Definition at line 32 of file sphere.hpp.

## Constructor & Destructor Documentation

## sphere() [1/5]

FUNCTION_H sphere | ( | const realx3 & | center,
|  | const real | radius
| ) |  |

Definition at line 26 of file sphere.cpp.

## sphere() [2/5]

FUNCTION_H sphere | ( | const dictionary & | dict | ) |

Definition at line 38 of file sphere.cpp.

References dictionary::getVal().

Here is the call graph for this function:

## sphere() [3/5]

FUNCTION_H sphere | ( | iIstream & | is | ) |

Definition at line 53 of file sphere.cpp.

References fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## sphere() [4/5]

FUNCTION_HD sphere | ( | const sphere & |  | ) |

default

## sphere() [5/5]

FUNCTION_HD sphere | ( | sphere && |  | ) |

default

## ~sphere()

~sphere | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "sphere" |  | ) |

## operator=() [1/2]

FUNCTION_HD sphere& operator= | ( | const sphere & |  | ) |

default

## operator=() [2/2]

FUNCTION_HD sphere& operator= | ( | sphere && |  | ) |

default

## isInside()

INLINE_FUNCTION_HD bool isInside | ( | const realx3 & | point | ) | const

inline

Definition at line 75 of file sphere.hpp.

References sphere::center_, dot(), and sphere::radius2_.

Referenced by sphereRegion::peek().

Here is the call graph for this function:
Here is the caller graph for this function:

## center()

const INLINE_FUNCTION_HD realx3& center | ( |  | ) | const

inline

Definition at line 84 of file sphere.hpp.

References sphere::center_.

Referenced by sphereRegion::peek().

Here is the caller graph for this function:

## minPoint()

INLINE_FUNCTION_HD realx3 minPoint | ( |  | ) | const

inline

Definition at line 91 of file sphere.hpp.

References sphere::center_, and sphere::radius().

Here is the call graph for this function:

## maxPoint()

INLINE_FUNCTION_HD realx3 maxPoint | ( |  | ) | const

inline

Definition at line 97 of file sphere.hpp.

References sphere::center_, and sphere::radius().

Here is the call graph for this function:

## radius()

INLINE_FUNCTION_HD real radius | ( |  | ) | const

inline

Definition at line 103 of file sphere.hpp.

References sphere::radius2_, and pFlow::sqrt().

Referenced by sphere::maxPoint(), sphere::minPoint(), and sphereRegion::peek().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [1/2]

FUNCTION_H bool read | ( | iIstream & | is | ) |

Definition at line 67 of file sphere.cpp.

References iIstream::nextData().

Referenced by pFlow::operator>>().

Here is the call graph for this function:
Here is the caller graph for this function:

## write() [1/2]

FUNCTION_H bool write | ( | iOstream & | os | ) | const

Definition at line 77 of file sphere.cpp.

References IOstream::check(), FUNCTION_NAME, pFlow::sqrt(), and iOstream::writeWordEntry().

Referenced by pFlow::operator<<().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [2/2]

FUNCTION_H bool read | ( | const dictionary & | dict | ) |

Definition at line 86 of file sphere.cpp.

References dictionary::getVal().

Here is the call graph for this function:

## write() [2/2]

FUNCTION_H bool write | ( | dictionary & | dict | ) | const

Definition at line 98 of file sphere.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, dictionary::globalName(), and pFlow::sqrt().

Here is the call graph for this function:

## Member Data Documentation

## center_

realx3 center_

protected

Definition at line 37 of file sphere.hpp.

Referenced by sphere::center(), sphere::isInside(), sphere::maxPoint(), and sphere::minPoint().

## radius2_

real radius2_

protected

Definition at line 40 of file sphere.hpp.

Referenced by sphere::isInside(), and sphere::radius().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/sphere/sphere.hpp
- src/phasicFlow/structuredData/sphere/sphere.cpp